package com.ruoyi.service.impl;

import com.ruoyi.service.StrategyCarReviewTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Transactional
@Service
public class StrategyCarReviewTaskContext {

    @Autowired
    private final Map<String, StrategyCarReviewTask> resourceMap = new ConcurrentHashMap<>();

    public StrategyCarReviewTaskContext(Map<String, StrategyCarReviewTask> strategyMap) {
        this.resourceMap.clear();
        strategyMap.forEach(resourceMap::put);
    }

    public StrategyCarReviewTask getResource(String operation){
        return resourceMap.get(operation);
    }
}
